.page-body {
    margin: auto;
    background-image: url(../img/background.png);
    background-repeat: no-repeat;
    background-size: cover;
}

.page-header {
    height: 58px;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.page-header:hover {
    background: #000000;
    mix-blend-mode: normal;
    opacity: 0.41;
}

.logo-text {
    font-style: normal;
    font-weight: bold;
    font-size: 22px;
    line-height: 22px;
    color: #ffffff;
}

.logo-text:hover {
    color: #3cb878;
}

.header-nav-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 350px;
}

.header-nav-icon {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 126px;
}

.calendar-icon {
    width: 21px;
    height: 24px;
}

.calendar-icon:hover {
    fill: #3cb878;
}

.envelope-icon {
    width: 23px;
    height: 23px;
}

.envelope-icon:hover {
    fill: #3cb878;
}

.compass-icon {
    width: 23px;
    height: 24px;
}

.compass-icon:hover {
    fill: #3cb878;
}

.line {
    width: 1px;
    background: rgba(255, 255, 255, 0.9);
    border-style: solid;
    mix-blend-mode: normal;
    opacity: 0.5;
    height: 19px;
    margin-left: 0;
    margin-right: 0;
}

.line:hover {
    opacity: 0.1;
}

.header-login {
    width: 108px;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #ffffff;
}

.header-login .accent-color:hover {
    color: #3cb878;
}

.header-signup {
    width: 68px;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #ffffff;
}

.header-signup .accent-color:hover {
    color: #3cb878;
}

.contact-form {
    width: 444px;
    height: 584px;
    box-shadow: 0px 4px 18px rgba(0, 0, 0, 0.52);
    background: #ffffff;
    margin: 64px auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    align-content: space-evenly;
    position: relative;
}

.form-reg-link {
    width: 324px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.form-reg-link::before {
    width: 18px;
    height: 18px;
    background: #3cb878;
    content: "";
    top: 20px;
    left: 0px;
    position: absolute;
}

.form-reg-link-item1 {
    font-style: normal;
    font-weight: normal;
    font-size: 20px;
    line-height: 20px;
    color: #434343;
}

.form-reg-link-item2 {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #3cb878;
}

.form-reg-link-item2:hover {
    border-bottom: 1px solid #01813f;
}

.socialmedia-buttons {
    width: 324px;
    height: 48px;
    display: flex;
    justify-content: space-between;
}

.facebook-button {
    width: 160px;
    height: 48px;
    background: #305db8;
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-style: solid;
    border-color: #ffffff;
    border-radius: 4px;
}

.facebook-button:hover {
    background: #022263;
}

.facebook-icon {
    color: #ffffff;
    width: 12px;
    height: 24px;
}

.facebook-line {
    width: 1px;
    height: 28px;
    background: #0a162f;
    mix-blend-mode: normal;
    opacity: 0.1;
    border-style: solid;
    margin-left: 0;
    margin-right: 0;
}

.facebook-text {
    width: 71px;
    height: 14px;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: #ffffff;
}

.google-button {
    width: 160px;
    height: 48px;
    background: #df4a32;
    display: flex;
    align-items: center;
    justify-content: space-around;
    border-style: solid;
    border-color: #ffffff;
    border-radius: 4px;
}    

.google-button:hover {
    background: #ab1f09;
}

.google-icon {
    width: 30px;
    height: 19px;
}

.google-line {
    width: 1px;
    height: 28px;
    background: #2b0d09;
    mix-blend-mode: normal;
    opacity: 0.1;
    border-style: solid;
    margin-left: 0;
    margin-right: 0;
}

.google-text {
    width: 53px;
    height: 14px;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: #ffffff;
}

.orline-container {
    width: 322px;
    height: 18px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.orline-item1 {
    width: 152px;
    height: 0px;
    border: 1px solid #f2f2f2;
}

.or-text {
    width: 15px;
    height: 14px;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #848484;
}

.orline-item2 {
    width: 152px;
    height: 0px;
    border: 1px solid #f2f2f2;
}

.form-element {
    width: 324px;
    height: 44px;
    border: 1px solid #f2f2f2;
    border-radius: 4px;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #434343;
}

.form-element:focus {
    width: 324px;
    height: 44px;
    background: #ffffff;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.21);
    border-radius: 4px;
    outline-style: solid;
    outline-color: #ffffff;
    outline-width: 0px;
}

.agreement-container {
    display: flex;
    align-items: center;
    width: 324px;
}

.checkbox-element {
    background: rgba(0, 0, 0, 0.0001);
    border: 1px solid #f2f2f2;
}

.agreement-label {
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 14px;
    color: #434343;
    margin-left: 8px;
}

.agreement-label .color-accent {
    color: #3cb878;
}

.agreement-label .color-accent:hover {
    border-bottom: 1px solid #01813f;
}


.submit-button {
    width: 324px;
    height: 46px;
    background: rgba(60, 184, 120, 0.8);
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-style: solid;
    border-color: #ffffff;
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    line-height: 16px;
    color: #ffffff;
}

.submit-button:hover {
    background: #01813f;
}